<?php 
 $objectManager = \Magento\Framework\App\ObjectManager::getInstance(); // Instance of Object Manager
 $categoryFactory = $objectManager->get('\Magento\Catalog\Model\CategoryFactory');// Instance of Category Model

/* Using Direct Object Manager */ 
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
/* Get store manager */ 
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
// BASE URL 
$baseUrl = $storeManager->getStore()->getBaseUrl();

// MEDIA URL 
$mediaUrl =$storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);

  $categoryCollectionFactory = $objectManager->get('\Magento\Catalog\Model\ResourceModel\Category\CollectionFactory');// Instance of Category Model

$getcategory = $categoryCollectionFactory->create();
$getcategory->addAttributeToFilter('level', array('eq' => 2));


?>

<section class="categories_menu">
   <div class="container">
      <div class="category_items owl-carousel">
         <div class="item">
            <div class="category_item">
               <a href="<?php echo $baseUrl;?>catalogsearch/result/?q=salad">
               <span class="category_item_thumb">
               <img src="pub/media/images/growth.png" alt="">
               </span>
               <span class="category_item_title">Keto Diet</span>
               </a>
            </div>
         </div>
      <!--    <div class="item">
            <div class="category_item">
               <a href="#">
               <span class="category_item_thumb">
               <img src="pub/media/images/harvest.png" alt="">
               </span>
               <span class="category_item_title">Combos</span>
               </a>
            </div>
         </div> -->
         <div class="item">
            <div class="category_item">
               <a href="<?php echo $baseUrl;?>latest-promotion.html">
               <span class="category_item_thumb">
               <img src="pub/media/images/bargain.png" alt="">
               </span>
               <span class="category_item_title">Offers</span>
               </a>
            </div>
         </div>
         <div class="item">
            <div class="category_item">
               <a href="<?php echo $baseUrl;?>fresh-juices/smoothies.html">
               <span class="category_item_thumb">
               <img src="pub/media/images/juice.png" alt="">
               </span>
               <span class="category_item_title">Smoothies</span>
               </a>
            </div>
         </div>
         <div class="item">
            <div class="category_item">
                 <a href="<?php echo $baseUrl;?>ice-creams-and-ice-pops/gelato.html">
               <span class="category_item_thumb">
               <img src="pub/media/images/cupcake.png" alt="">
               </span>
               <span class="category_item_title">Gelato</span>
               </a>
            </div>
         </div>
         <div class="item">
            <div class="category_item">
               <a href="<?php echo $baseUrl;?>catalogsearch/result/?q=Sugar">
               <span class="category_item_thumb">
               <img src="pub/media/images/sugar-cubes.png" alt="">
               </span>
               <span class="category_item_title">Sugar Free</span>
               </a>
            </div>
         </div>
      </div>
   </div>
</section>
<div class="mobile_banner">
  <img src="pub/media/images/mobile-banner.png" alt="banner">
</div>
<div class="category_and_banner_block">
<section class="product_categories">
  <div class="container">
      <div class="category_slider  owl-carousel" id="category_slider">
        <?php foreach ($getcategory as $key => $value) 
{
     
  $category = $categoryFactory->create()->load($value->getId());
   /*echo $category->getName();*/
   $isActive = $category->getIsActive(); 
   if($isActive!=0){
    if($value->getId()==293 || $value->getId()==291){
     continue;
    }
    ?>
    <div class="item">
        <a class="category_item" href="<?php echo $category->getUrl();?>"> <span class="product_img"> <img src="<?php echo $category->getImageUrl();?>" alt=""> </span> <span class="product_cat_title">
        <?php echo $category->getName();?></span> </a>
      </div> 
 
     <?php }else{
      continue;
     } 
   }?>
    </div>
  </div>
</section>
</div>
<script type="text/javascript">
require(['jquery','owl_carousel',], function () {
jQuery(document).ready(function (){
  if(jQuery(window).width() > 767){
    jQuery(".category_slider").owlCarousel({
      responsive:{

      0:{

      items:2,
      autoWidth:false,
      margin: 10
      },
      480:{

      autoWidth:false,
      items:3,
      margin: 10
      },
      767:{

      autoWidth:false,
      items:4,
      margin: 10
      },
      768:{

      autoWidth:false,
      items:5,
      margin: 15
      },
      980:{

      items:7,
      margin: 20
      }

      },
      nav:true,
      autoplay:true,
      autoplayTimeout:4000,
      loop:true,
      dots:false,
      navText:[
      "<i class='meigee-left-arrow-key-control'></i>",
      "<i class='meigee-right-arrow-key-control'></i>"
      ]
      });
  }
  jQuery('.category_items').owlCarousel({
      loop:true,
      margin:10,
      nav:true,
      dots: false,
      autoplay:3000,
      autoplayHoverPause:false,
      responsive:{
        0:{
            items:4,
            nav: false,
            margin: 5,
        },
        500:{
            items:5,
            nav: false
        },
        1000:{
            items:7
        }
      }
    })
});
});
</script> 